<?php
/**************************************************************
* Original Author:
* DataFeedFile.com (DFF) Framework API
* Licensed using GNU GPL
*
**************************************************************/

class DFF_QueryString{
  var $QueryString;
  var $original;
  
  function DFF_QueryString($getvar){
    $this->QueryString = $getvar;
    $this->original = $getvar;
  }
  
  function remove($except){
    if($except=='')return;
    
    $str_except='';
    if(is_array($except)){
      foreach($except as $x){
        $str_except .= "[$x]";
      }
    }else{
        $str_except = "[$except]";
    }
    
    $str_ret = "";
    unset($new_qs);
    if($this->QueryString){
      foreach($this->QueryString as $key => $value){
        if(strpos(' '. $str_except, '['. $key .']')==0){
          $new_qs[$key] = $value;
        }
      }
    }
    $this->QueryString = $new_qs;
  }
  
  function add($key, $value){
    $this->QueryString[$key] = $value;
  }
  
  function reset(){
    $this->QueryString = $this->original;  
  }
  
  function toString(){
    if(is_array($this->QueryString)){
      foreach($this->QueryString as $key => $value){
        if($str_ret == ""){
          $str_ret = "?". $key . "=" . urlencode($value) ;
        }else{
          $str_ret .= "&". $key . "=" . urlencode($value) ;
        }
      }   
    }
    return $str_ret;
  }
  
  function toFormInputHidden(){
    $str_ret = '';
    if(is_array($this->QueryString)){
      foreach($this->QueryString as $key => $value){
         $str_ret .= '<input type="hidden" name="'.$key.'" value="'.$value.'" />';
      }
    }
    return $str_ret;
  }

} //end querystring class
?>