<?php
/**************************************************************
* Original Author:
* DataFeedFile.com (DFF) Framework API
* Licensed using GNU GPL
*
**************************************************************/

// ADMIN SETTINGS
if($_POST['DFF_WP_FP_option_hidden'] == 'Y')
{
	// Form data sent
	$DFF_WP_FP_affid = intval($_POST['DFF_WP_FP_affid']);
	update_option('DFF_WP_FP_affid', $DFF_WP_FP_affid);

	$DFF_WP_FP_token = $_POST['DFF_WP_FP_token'];
	update_option('DFF_WP_FP_token', $DFF_WP_FP_token);

	$DFF_WP_FP_server_url = get_option('DFF_WP_FP_server_url');
	$DFF_WP_FP_api_url = get_option('DFF_WP_FP_api_url');

	$DFF_WP_FP_cache_time = intval($_POST['DFF_WP_FP_cache_time']);
	update_option('DFF_WP_FP_cache_time', $DFF_WP_FP_cache_time);

	echo '<div class="updated"><p><strong>Options saved</strong></p></div>';
}
else
{
	// Normal page display
	$DFF_WP_FP_affid = get_option('DFF_WP_FP_affid');
	$DFF_WP_FP_token = get_option('DFF_WP_FP_token');

	if (false == $DFF_WP_FP_server_url = get_option('DFF_WP_FP_server_url')) {
		$DFF_WP_FP_server_url = 'http://www.datafeedfile.com';
		update_option('DFF_WP_FP_server_url', $DFF_WP_FP_server_url);
	}

	if (false == $DFF_WP_FP_api_url = get_option('DFF_WP_FP_api_url')) {
		$DFF_WP_FP_api_url = 'http://www.datafeedfile.com/rest';
		update_option('DFF_WP_FP_api_url', $DFF_WP_FP_api_url);
	}

	if (false == $DFF_WP_FP_cache_time = get_option('DFF_WP_FP_cache_time')) {
		$DFF_WP_FP_cache_time = 10800;
		update_option('DFF_WP_FP_cache_time', $DFF_WP_FP_cache_time);
	}
}
?>
<div class="wrap">
	<?php _e("<h2>" . __( 'DataFeedFile.com (DFF) Wordpress Plugin Options', 'DFF_WP_FP_trdom' ) . "</h2>"); ?>
	<form name="DFF_WP_FP_option_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
		<input type="hidden" name="DFF_WP_FP_option_hidden" value="Y">

		<?php _e("<h4>" . __( 'DFF Affiliate Account Settings', 'DFF_WP_FP_trdom' ) . "</h4>"); ?>
		<p>DFF Affiliate ID: <input type="text" name="DFF_WP_FP_affid" value="<?php _e($DFF_WP_FP_affid); ?>" size="20">(<a target="_blank" href="https://www.datafeedfile.com/join_affiliate_signup.php">Get DFF Affiliate ID</a>)</p>
		<p>DFF Token: <input type="text" name="DFF_WP_FP_token" value="<?php _e($DFF_WP_FP_token); ?>" size="60">(<a target="_blank" href="http://wiki.datafeedfile.com/dffToken">What is DFF Token?</a> only for DFF API)</p>

		<?php _e("<h4>" . __( 'DFF Server URLs', 'DFF_WP_FP_trdom' ) . "</h4>"); ?>
		<p>DFF Server URL: <input type="text" name="DFF_WP_FP_server_url" value="<?php _e($DFF_WP_FP_server_url); ?>" disabled="disabled" size="60">(default: http://www.datafeedfile.com)</p>
		<p>API Request URL: <input type="text" name="DFF_WP_FP_api_url" value="<?php _e($DFF_WP_FP_api_url); ?>" disabled="disabled" size="60">(default: http://rest.datafeedfile.com)</p>

		<?php _e("<h4>" . __( 'DFF Featured Product Configuration', 'DFF_WP_FP_trdom' ) . "</h4>"); ?>
		<p>Cache Time: (in seconds) <input type="text" name="DFF_WP_FP_cache_time" value="<?php _e($DFF_WP_FP_cache_time); ?>" size="20">(default: 10800 seconds [3 hours] )</p>

		<hr />

		<p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options', 'DFF_WP_FP_trdom' ) ?>" /></p>
	</form>
</div>

