<?php
/**************************************************************
* Original Author:
* DataFeedFile.com (DFF) Framework API
* Licensed using GNU GPL
*
**************************************************************/
// DFF CLIENT - MAIN CONFIG FILE
// 
// DFF_config.php - version 1.05
//
// Main configuration file for DFF affiliates using DFF client (remote) applications
//
// For Documentation: http://wiki.datafeedfile.com/wikka.php?wakka=dffDFFConfigPHP

$DFF_config['debug'] = 0;	// SET TO 0=OFF -or- Greater than 1 is ON (debug enabled - default)

//CODE TO ENABLE / DISABLE DEBUG
if($DFF_config['debug']>0){
   error_reporting(E_ALL^E_NOTICE);
   $_GET['debug'] = $DFF_config['debug'];
}

$DFF_config['affid'] = '1001';	// DFF AFFILIATE ID - need to replace with your own DFF AFFID
$DFF_config['token'] = 'YTA4ZDkyMDI2MTMyZWU4MWFhN2EwMT';		// DFF TOKEN - need to replace with your own DFF Token

$DFF_config['domain'] = 'YourDomainName.com';
$DFF_config['site_name'] = 'Your Site Name Here';
$DFF_config['site_keyword'] = 'coupon code,coupon saving,coupon site,rebate list,rebate center,deal website,deal site,deal listing';	// NEED TO REPLACE WITH YOUR OWN KEYWORDS
$DFF_config['site_desc'] = 'Daily update listing of coupon codes, rebates, deals, bargains, freebies and free shipping from all over the internet. We have deals from almost all online stores from Amazon to Walmart Online.';		// NEED TO REPLACE WITH YOUR OWN DESCRIPTION
$DFF_config['site_title_separator'] = '-';
$DFF_config['site_title_base'] = 'Website Title Base';		// NEED TO REPLACE WITH YOUR OWN WEB SITE TITLE

$DFF_config['url_base'] = 'http://www.mydomain.com/';				// NEED TO REPLACE WITH YOUR WEB SITE URL
$DFF_config['url_dff'] = 'http://www.datafeedfile.com/';
$DFF_config['url_image'] = $DFF_config['url_base'].'DFF/image/';
$DFF_config['url_style'] = $DFF_config['url_base'].'DFF/style/';
$DFF_config['url_dffml'] = $DFF_config['url_base'].'DFF/dffml/';
$DFF_config['url_post'] = 'http://www.datafeedfile.com/rest/';

$DFF_config['dir_base'] = $_SERVER['DOCUMENT_ROOT'].'/';			// NEED TO REPLACE WITH YOUR WEB SITE DIRECTORY
$DFF_config['dir_include'] = $DFF_config['dir_base'].'DFF/include/';
$DFF_config['dir_image'] = $DFF_config['dir_base'].'DFF/image/';
$DFF_config['dir_style'] = $DFF_config['dir_base'].'DFF/style/';
$DFF_config['dir_dffml'] = $DFF_config['dir_base'].'DFF/dffml/';

$DFF_config['style_default'] = $DFF_config['url_style'].'DFF_default.css';

$DFF_config['email_main'] = 'webmaster@'.$DFF_config['domain'];

$DFF_config['currency_symbol'] = '$';
$DFF_config['currency_decimals'] = 2;
$DFF_config['currency_decimal_symbol'] = '.';
$DFF_config['currency_thousand_symbol'] = ',';
$DFF_config['date_format_short'] = 'n/j/y';
$DFF_config['date_format_long'] = 'D, M j Y';

// For Documentation: http://wiki.datafeedfile.com/wikka.php?wakka=dffDFFConfigPHP

?>