<?php
/**************************************************************
* Original Author:
* DataFeedFile.com (DFF) Framework API
* Licensed using GNU GPL
*
**************************************************************/
//DataFeedFile.com - DFF Mailer Class

class DFF_mail{
   var $to = null;
   var $from = null;
   var $subject = null;
   var $body = null;
   var $headers = null;

   //TO and FROM SYNTAX:
   /* user@example.com
    * user@example.com, anotheruser@example.com
    * User <user@example.com>
    * User <user@example.com>, Another User <anotheruser@example.com>
    */
   function DFF_mail($to,$from,$subject,$body){
     $this->to      = $to;
     $this->from    = $from;
     $this->subject = $subject;
     $this->body    = $body;
   }

   function send(){
      $this->addHeader("From: ".$this->from."\r\n");
      $this->addHeader("Reply-To: ".$this->from."\r\n");
      $this->addHeader("Return-Path: ".$this->from."\r\n");
      $this->addHeader("X-mailer: DataFeedFile.com Mail 1.0\r\n");
      return mail($this->to,$this->subject,$this->body,$this->headers);
   }

   function addHeader($header){
      $this->headers .= $header;
   }

}
?>