<?php
/**************************************************************
* Original Author:
* DataFeedFile.com (DFF) Framework API
* Licensed using GNU GPL
*
**************************************************************/

require_once $DFF_config['dir_include'].'DFF_affiliate_client_API.php';

function DFF_get_merinfo($mernum, $return_stats=0, $return_categories=0, $return_product_top10=0, $return_deal_newest10=0) {

	// GET MERCHANT STORE INFO
	$dff_request = new DFF_Client_API;
	$dff_request->set_using_DFF_config();
	
	$merinfo_params = array();
	$merinfo_params['mernum'] = $mernum;
	if($return_stats>0) $merinfo_params['return_stats'] = $return_stats;
	if($return_categories>0) $merinfo_params['return_categories'] = $return_categories;
	if($return_product_top10>0) $merinfo_params['return_product_top10'] = $return_product_top10;
	if($return_deal_newest10>0) $merinfo_params['return_deal_newest10'] = $return_deal_newest10;
	
	$result = $dff_request->post_request(DFF_MERINFO,$merinfo_params);
	if($result){
		$dff_request->convert_json_to_array();
		return $dff_request->result_array;
	}
	return FALSE;

}

?>