<?php
/**************************************************************
* Original Author:
* DataFeedFile.com (DFF) Framework API
* Licensed using GNU GPL
*
**************************************************************/

require_once $DFF_config['dir_include'].'DFF_affiliate_client_API.php';

// GET MERCHANT PRODUCT INFORMATION FOR A PARTICULAR DFF PRODUCT ID OR MERNUM + MERSKU
// DOC: http://wiki.datafeedfile.com/dffFuncGetMerPrdtInfo
function DFF_get_merprdt_info($prdtid=FALSE,$mernum=FALSE,$mersku=FALSE,$subid=FALSE) {

	$dff_request = new DFF_Client_API;
	$dff_request->set_using_DFF_config();
	if($prdtid!=FALSE){
		$merprdt_params['prdtid'] = $prdtid;
	} else {
		$merprdt_params['mernum'] = $mernum;
		$merprdt_params['mersku'] = $mersku;
	}
   if($subid!=FALSE){
      $merprdt_params['subid'] = $subid;
   }
	$result = $dff_request->post_request(DFF_MERPRDT,$merprdt_params);
	$dff_request->convert_json_to_array();
	
	return $dff_request->result_array;

}

?>