<?php
/**************************************************************
* Original Author:
* DataFeedFile.com (DFF) Framework API
* Licensed using GNU GPL
*
**************************************************************/

require_once $DFF_config['dir_include'].'DFF_affiliate_client_API.php';

function DFF_get_sku_info($DFF_SKU, $mode=0) {
	//MODE 0 = PRODUCT INFO ONLY
	//MODE 1 = MERCHANTS LISTING ONLY (not avail for merchant SKU)
	//MODE 2 = BOTH PRODUCT INFO + MERCHANTS LISTING (not avail for merchant SKU)
   
   if(strpos($DFF_SKU,'|')!==FALSE) {
      //MERCHANT PRODUCT ONLY
      $temp_arr = split('|',$DFF_SKU);
      $sku_params['mernum'] = $temp_arr[0]; if(!($sku_params['mernum']>0)) return FALSE;
      $sku_params['mersku'] = $temp_arr[1]; if($sku_params['mersku']=='') return FALSE;
      $dff_request = new DFF_Client_API;
      $dff_request->set_using_DFF_config();
      $result = $dff_request->post_request(DFF_MER_PRDT_INFO,$sku_params);
      $dff_request->convert_json_to_array();
      
      return $dff_request->result_array['product_info'];
         
   } else {
      //DFF CORE PRODUCT SKU
	   // GET LOWEST MERCHANT STORE INFO
      if(!($DFF_SKU>0)) return FALSE;
	   $dff_request = new DFF_Client_API;
	   $dff_request->set_using_DFF_config();
	   $sku_params['product_sku'] = $DFF_SKU;
	   $sku_params['mode'] = $mode;
	   $result = $dff_request->post_request(DFF_PPC,$sku_params);
	   $dff_request->convert_json_to_array();
	   
	   return $dff_request->result_array['product_info'];
      
   }
   
}

?>